Subject: Re: bug#12504: `bookmark-rename' and `bookmark-maybe-historicize-string'

From: Karl Fogel <[email-masked]>
Date: Mon, 01 Oct 2012 16:27:34 -0500

"Drew Adams" <[email-masked]> writes:
>I agree about the usefulness, but I think it should be done only when
>`bookmark-rename' is invoked interactively.

When I say "interactively", I'm including both minibuffer command
and menu command -- anything the user did interactively, that is.

>...  That's a bad workaround if the goal is to add to the history when
>the user uses the menu: non-interactively is not the same thing as
>interactively-using-a-menu.

Sure, completely agree.  We're on the same page, conceptually; the code
just needs fixing, that's all :-).  I'll try to do it, but am busy for a
while again.  Sorry for the delay.